WebRetriever (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.WebRetriever interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface WebRetriever

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebRetriever

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  WEBRET
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAllowAccessToTheseInternetSites()`
`int` | `getConcurrentRetrievers()`
`java.lang.String` | `getDenyAccessToTheseInternetSites()`
`DominoServer` | `getParent()`
`java.lang.String` | `getServices()`
`java.lang.String` | `getSMTPDomain()`
`java.lang.String` | `getUpdateCache()`
`java.lang.String` | `getWebNavigatorDatabase()`
`boolean` | `hasAllowAccessToTheseInternetSites()`
`boolean` | `hasConcurrentRetrievers()`
`boolean` | `hasDenyAccessToTheseInternetSites()`
`boolean` | `hasParent()`
`boolean` | `hasServices()`
`boolean` | `hasSMTPDomain()`
`boolean` | `hasUpdateCache()`
`boolean` | `hasWebNavigatorDatabase()`
`void` | `setAllowAccessToTheseInternetSites(java.lang.String s)`
`void` | `setConcurrentRetrievers(int s)`
`void` | `setDenyAccessToTheseInternetSites(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setServices(java.lang.String s)`
`void` | `setSMTPDomain(java.lang.String s)`
`void` | `setUpdateCache(java.lang.String s)`
`void` | `setWebNavigatorDatabase(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setWebNavigatorDatabase

    void setWebNavigatorDatabase(java.lang.String s)

### getWebNavigatorDatabase

    java.lang.String getWebNavigatorDatabase()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWebNavigatorDatabase

    boolean hasWebNavigatorDatabase()

### setServices

    void setServices(java.lang.String s)

### getServices

    java.lang.String getServices()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServices

    boolean hasServices()

### setConcurrentRetrievers

    void setConcurrentRetrievers(int s)

### getConcurrentRetrievers

    int getConcurrentRetrievers()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasConcurrentRetrievers

    boolean hasConcurrentRetrievers()

### setUpdateCache

    void setUpdateCache(java.lang.String s)

### getUpdateCache

    java.lang.String getUpdateCache()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUpdateCache

    boolean hasUpdateCache()

### setSMTPDomain

    void setSMTPDomain(java.lang.String s)

### getSMTPDomain

    java.lang.String getSMTPDomain()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSMTPDomain

    boolean hasSMTPDomain()

### setAllowAccessToTheseInternetSites

    void setAllowAccessToTheseInternetSites(java.lang.String s)

### getAllowAccessToTheseInternetSites

    java.lang.String getAllowAccessToTheseInternetSites()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowAccessToTheseInternetSites

    boolean hasAllowAccessToTheseInternetSites()

### setDenyAccessToTheseInternetSites

    void setDenyAccessToTheseInternetSites(java.lang.String s)

### getDenyAccessToTheseInternetSites

    java.lang.String getDenyAccessToTheseInternetSites()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDenyAccessToTheseInternetSites

    boolean hasDenyAccessToTheseInternetSites()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD